in scala.collection.mutable
class PriorityQueueProxy

`abstract class` PriorityQueueProxy [A]
  `extends` scala.collection.mutable.PriorityQueue[A]
  `with` scala.SeqProxy[A]
  `with` scala.ScalaObject

  This class implements priority queues using a heap. The elements of the queue have to be ordered in terms of the `Ordered[T]` class.

Author:
  Matthias Zenger
Version:
  1.0, 03/05/2004

Constructor Summary
| `def` this ()(view$0: (A) => scala.Ordered[A])

Def Summary
`override` | `def` ++= (it: scala.Iterator[A]) : scala.Unit Adds all elements provided by an iterator into the priority queue.
`override` | `def` ++= (iter: scala.Iterable[A]) : scala.Unit Adds all elements provided by an `Iterable` object into the priority queue.
`override` | `def` += (elem: A) : scala.Unit Inserts a single element into the priority queue.
`override` | `def` clear : scala.Unit Removes all elements from the queue. After this operation is completed, the queue will be empty.
`override` | `def` clone : scala.collection.mutable.PriorityQueue[A] This method clones the priority queue.
`override` | `def` dequeue : A Returns the element with the highest priority in the queue, and removes this element from the queue.
`override` | `def` elements : scala.Iterator[A] Creates a new iterator over all elements contained in this object.
`override` | `def` enqueue (elems: A*) : scala.Unit Adds all elements to the queue.
`override` | `def` isEmpty : scala.Boolean Checks if the queue is empty.
`override` | `def` length : scala.Int Returns the length of this priority queue.
`override` | `def` max : A Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.
`abstract` | `def` self : scala.collection.mutable.PriorityQueue[A]
`override` | `def` toQueue : scala.collection.mutable.Queue[A] Returns a regular queue containing the same elements.

Def inherited from scala.collection.mutable.PriorityQueue[A]
+ , +, ++, ++, ++=, ++=, +=, +=, clear, clone, dequeue, elements, enqueue, equals, fixDown, fixUp, hashCode, isEmpty, max, toQueue, toString

Def inherited from scala.SeqProxy[A]
concat , contains, copyToArray, drop, dropWhile, filter, flatMap, isDefinedAt, isEmpty, lastIndexOf, length, map, reverse, self, slice, take, takeWhile, toArray

Constructor Detail

`def` this ()(view$0: (A) => scala.Ordered[A])

Def Detail

`override def` ++= (it: scala.Iterator[A]): scala.Unit

  Adds all elements provided by an iterator into the priority queue.

Parameters:
  `it -` an iterator

`override def` ++= (iter: scala.Iterable[A]): scala.Unit

  Adds all elements provided by an `Iterable` object into the priority queue.

Parameters:
  `iter -` an iterable object

`override def` += (elem: A): scala.Unit

  Inserts a single element into the priority queue.

Parameters:
  `elem -` the element to insert

`override def` clear : scala.Unit

  Removes all elements from the queue. After this operation is completed, the queue will be empty.

`override def` clone : scala.collection.mutable.PriorityQueue[A]

  This method clones the priority queue.

Returns:
  a priority queue with the same elements.

`override def` dequeue : A

  Returns the element with the highest priority in the queue, and removes this element from the queue.

Returns:
  the element with the highest priority.

`override def` elements : scala.Iterator[A]

  Creates a new iterator over all elements contained in this object.

Returns:
  the new iterator

`override def` enqueue (elems: A*): scala.Unit

  Adds all elements to the queue.

Parameters:
  `elems -` the elements to add.

`override def` isEmpty : scala.Boolean

  Checks if the queue is empty.

Returns:
  true, iff there is no element in the queue.

`override def` length : scala.Int

  Returns the length of this priority queue.

`override def` max : A

  Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

Returns:
  the element with the highest priority.

`abstract def` self : scala.collection.mutable.PriorityQueue[A]

`override def` toQueue : scala.collection.mutable.Queue[A]

  Returns a regular queue containing the same elements.